/**	
	$Author: dizzy $
	$Revision: 1.6 $
	Last updated: $Date: 2000/09/04 14:23:07 $
	
	$Log: NewAccountForm.h,v $
	Revision 1.6  2000/09/04 14:23:07  dizzy
	General code cleanup

	Copyright (C) 2000 Vlad Mereuta <V.C.Mereuta@warwick.ac.uk>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
*/

#ifndef __NEW_ACCOUNT_FORM__
#define __NEW_ACCOUNT_FORM__

#include <PalmOS.h>

#include "AccountsDB.h"
#include "MiscFunc.h"
#include "PalmCoinsRsc.h"



/**
	saves the data from the form (if valid)
	@return	true if data was valid and saved
			false otherwise
*/
Boolean	NewAcc_Save();

///	initialises the category trigger
void	NewAcc_InitCat();

///	this function handles taps on the category trigger
void	NewAcc_SelectCat();

///	event handler for the form
Boolean	NewAcc_HandleEvent(EventPtr);

#endif
