/**	
	$Author: dizzy $
	$Revision: 1.6 $
	Last updated: $Date: 2000/09/08 10:41:10 $
	
	$Log: TransactionsForm.h,v $

	Copyright (C) 2000 Vlad Mereuta <V.C.Mereuta@warwick.ac.uk>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __TRANSACTIONS_FORM__
#define __TRANSACTIONS_FORM__

#include <PalmOS.h>

#include "PalmCoinsRsc.h"
#include "TransactionsTable.h"
#include "TransactionDetailsForm.h"
#include "NewTransactionForm.h"
#include "CoinsPref.h"

#ifndef __TRANSACTIONS_CATEGRORY_C__
	///unique id of the current account (for which the transactions are displayed)
	extern UInt32	curr_account;
	///unique id of the current transaction record
	extern UInt32	curr_transaction;
	///true if a transaction is selected (in the table) and false otherwise
	extern Boolean	curr_transaction_exists;
#endif

/**
	updates the totals for the current account (if necessary) and draws them on the screen
*/
void	TransactionsForm_DisplayTotals();

/**
	Generic handler for the application's static form(s)
	@return true if the event was handled, false otherwise
*/
Boolean TransactionsForm_HandleEvent(EventPtr event);

/// init the category trigger
void	TransactionsForm_InitCat();

///handle category selection
void	TransactionsForm_SelectCat();

#endif
