/**	
	$Author: dizzy $
	$Revision: 1.3 $
	Last updated: $Date: 2000/09/04 14:23:07 $
	
	Copyright (C) 2000 Vlad Mereuta <V.C.Mereuta@warwick.ac.uk>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Log: AccountDetailsForm.h,v $
	Revision 1.3  2000/09/04 14:23:07  dizzy
	General code cleanup
	
	Revision 1.1  2000/08/23 12:08:29  dizzy
	Added details dialog for accounts
	
*/

#ifndef __ACCOUNT_DETAILS_FORM__
#define __ACCOUNT_DETAILS_FORM__

#include <PalmOS.h>

#include "AccountsDB.h"
#include "MiscFunc.h"
#include "PalmCoinsRsc.h"

///saves the changes to the database
Boolean AccDetails_Save();

///set the values of various form fields from the database
void	AccDetails_Init();

///handles category selection
void	AccDetails_SelectCat();

///event handler for the form
Boolean AccDetails_HandleEvent(EventPtr event);

#endif
