/**	
	$Author: dizzy $
	$Revision: 1.5 $
	Last updated: $Date: 2000/09/13 11:50:27 $
	
	$Log: CoinsPref.h,v $
	Revision 1.5  2000/09/13 11:50:27  dizzy
	The transaction module is fully functional
	
	Revision 1.4  2000/09/08 10:41:10  dizzy
	Transactiondatabas initial support and column display preferences support
	
	Revision 1.3  2000/09/04 14:23:07  dizzy
	General code cleanup
	
	Revision 1.1  2000/08/21 08:59:30  dizzy
	Reorganised files

	Copyright (C) 2000 Vlad Mereuta <V.C.Mereuta@warwick.ac.uk>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
*/

#ifndef __COINS_PREFERENCES__
#define __COINS_PREFERENCES__

#include <PalmOS.h>
#include <Preferences.h>
#include <DateTime.h>

//for creator
#include "MiscFunc.h"

///structure containing the program preferences
typedef struct {
	///when the scheduled transactions were last updated
	DateType	last_update;	
	///toogle for displaying the eom column in the account view
	Boolean		disp_eom_col;
	///the category in which we start
	UInt16		opening_category;
	///true if the payee is displayed in transaction list, false otherwise
	Boolean		disp_payee;
} palmCoinsPrefType;

#ifndef __COINS_PREF_C__
	///the structure holds the app's preferences
	extern palmCoinsPrefType 	coins_pref;	
#endif


///retrieve the preferences into gCoinsPref
void Prefs_Get();

///save the preferences from gCoinsPref
void Prefs_Save();


///assigns default values to gCoinsPrefs
void Prefs_SetDefault();
#endif
