/**	
	$Author: dizzy $
	$Revision: 1.6 $
	Last updated: $Date: 2000/09/08 10:41:10 $
	
	$Log: PalmCoins.h,v $
	Revision 1.6  2000/09/08 10:41:10  dizzy
	Transactiondatabas initial support and column display preferences support
	
	Revision 1.5  2000/09/04 14:23:07  dizzy
	General code cleanup
	
	Revision 1.2  2000/08/21 15:04:20  dizzy
	Fixed more bugs. Added scrolling support
	
	Revision 1.1  2000/08/21 08:59:30  dizzy
	Reorganised files

	Copyright (C) 2000 Vlad Mereuta <V.C.Mereuta@warwick.ac.uk>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
*/

#ifndef __PALM_COINS__
#define __PALM_COINS__

#include <PalmOS.h>


#include "TransactionsDB.h"
#include "PalmCoinsRsc.h"
#include "AccountsForm.h"
#include "NewAccountForm.h"
#include "AccountDetailsForm.h"
#include "PreferencesForm.h"
#include "CoinsPref.h"

/**
 **  loads form resources and sets the event handler for the form loaded.
 **  returns true if the event was handled and should not be passed
 **  to a higher level handler.
 **/
static Boolean ApplicationHandleEvent( EventPtr event );

/**
 **  The main event loop of the application
 **/
static void ApplicationEventLoop(void);

/**
 ** Called when the application starts/stops
 **/
static UInt16 StartApplication(void);
static void StopApplication(void);


#endif
